Package org.oasis_open.docs.ws_calendar.ns.soap

# Class DateTimePropertyType

java.lang.Object
org.oasis_open.docs.ws_calendar.ns.soap.GetPropertiesBasePropertyType
org.oasis_open.docs.ws_calendar.ns.soap.DateTimePropertyType

Direct Known Subclasses:
  `CreationDateTimeType`, `LastModifiedDateTimeType`, `MaxDateTimeType`, `MinDateTimeType`

public class DateTimePropertyType extends GetPropertiesBasePropertyType
Base type for date time properties returned in GetPropertiesResponse.

Java class for DateTimePropertyType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DateTimePropertyType">
       <complexContent>
         <extension base="{http://docs.oasis-open.org/ws-calendar/ns/soap}GetPropertiesBasePropertyType">
           <sequence>
             <element name="dateTime" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected XMLGregorianCalendar`
  `dateTime`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DateTimePropertyType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `XMLGregorianCalendar`
  `getDateTime()`
  Gets the value of the dateTime property.
  `void`
  `setDateTime(XMLGregorianCalendar value)`
  Sets the value of the dateTime property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### dateTime

    protected XMLGregorianCalendar dateTime

- ## Constructor Details

  - ### DateTimePropertyType

    public DateTimePropertyType()

- ## Method Details

  - ### getDateTime

    public XMLGregorianCalendar getDateTime()
    Gets the value of the dateTime property.
    Returns:
      possible object is `XMLGregorianCalendar`

  - ### setDateTime

    public void setDateTime(XMLGregorianCalendar value)
    Sets the value of the dateTime property.
    Parameters:
      `value` - allowed object is `XMLGregorianCalendar`